complexType "CommodityAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (exercisePeriod*, exerciseFrequency?)?, (latestExerciseTime? | latestExerciseTimeDetermination?)?, expirationTime?, multipleExercise?
</...>

Content Model Elements (6):

  exerciseFrequency (in americanExercise in exercise in commodityOption),
  exercisePeriod,
  expirationTime (in americanExercise in exercise in commodityOption),
  latestExerciseTime (in americanExercise in exercise in commodityOption),
  latestExerciseTimeDetermination (in americanExercise in exercise in commodityOption),
  multipleExercise (in americanExercise in exercise in commodityOption)

All Direct / Indirect Based Elements (1):

  americanExercise (in exercise in commodityOption)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (in exercise in commodityOption)

Annotation
A type for defining exercise procedures associated with an American style exercise of a commodity option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityAmericanExercise

XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="CommodityAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED exercisePeriod - Technical--> <xsd:sequence minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exercisePeriod" type="CommodityExercisePeriods"/> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/> </xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="latestExerciseTimeDetermination" type="DeterminationMethod"/> </xsd:choice> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="multipleExercise" type="CommodityMultipleExercise"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
exerciseFrequency

  Type: | Frequency, complex content

  The exercise frequency for the strip.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/>

exercisePeriod

  Type: | CommodityExercisePeriods, complex content

  Describes the American exercise periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="exercisePeriod" type="CommodityExercisePeriods"/>

expirationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day on which the option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/>

latestExerciseTime

  Type: | BusinessCenterTime, complex content

  For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/>

latestExerciseTimeDetermination

  Type: | DeterminationMethod, simple content

  Latest exercise time determination method.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTimeDetermination" type="DeterminationMethod"/>

multipleExercise

  Type: | CommodityMultipleExercise, complex content

  The presence of this element indicates that the option may be partially exercised. It is not applicable to European or Asian options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleExercise" type="CommodityMultipleExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.